/* 10/8/89.
 * Definitions for the Double Auction Tournament skeleton program, C version.
 * 						R.G. Palmer, Jan-Apr 1989.
 * 
 * You must customize this file before compiling ANY of the .c files.
 * If you change this file you must recompile ALL the .c files.
 *
 * See the README file for compilation instructions.
 *
 *
 *---------------Machine/compiler type--------------------------------
 * Define ONE of the following to specify your machine/compiler type.
 * If your machine/compiler is not listed, choose the nearest one
 * available and please report problems or the lack thereof to the authors.
 *
 * These six have been tested:
 *      AIX     for AIX 3.x on the RS/6000
 *	SUN4	for Sun OS 4  (approx BSD4.3 Unix)
 *      NEXT    for NeXT machines
 *      CONVEX  for Convex machines running ConvexOS
 *      ULTRIX  for DEC machines running Ultrix
 *	HPUX	for HP machines running HP-UX (Sys V)
 *      MTXINU  for the Mt.Xinu version of UNIX
 *      UVAX43  for MicroVax 4.3BSD
 *      DYNIX   for Sequents running Dynix
 * These may also work:
 *	BSD43	for Unix BSD 4.3
 *	SUN3	for Sun OS 3
 *	CRAY	for Unicos on a Cray 2 etc
 *	IRIS	for Silicon Graphics IRIS with IRIX (approx System V)
 *	UNIX	Miscellaneous Unix
 *	TURBOC	for Turbo C on an IBM PC or compatible
 *	QUICKC  for Quick C on an IBM PC or compatible
 *	MSDOS	Miscellaneous msdos/pcdos
 *	VMS	Vax/VMS
 *	THINKC3	Think's Lightspeed C 3.0.x for a Macintosh
 *	THINKC4	Think's Lightspeed C 4.0 for a Macintosh
 */

#define BSD43 	1

/*
 * DAD host... the host this program will look for to find DAD by default.
 * 
 * Choices:
 *    AZTE_ZIGGY -- ziggy.econ.arizona.edu
 *    AZTE_THOR  -- thor.econ.wisc.edu
 *    AZTE_SFI   -- sfi.santafe.edu
 *
 */

#define AZTE_ZIGGY 1








/* Various conversions for specific machines -- you shouldn't need to * 
 * Change any of these.                                               */

#ifdef NEXT
#define BSD43 1
#define NO_MALLOC_H 1
#endif

#ifdef AIX
#define BSD43 1
#endif

#ifdef CONVEX
#define BSD43 1
#define NO_MALLOC_H 1
#endif

#ifdef ULTRIX
#define BSD43 1
#endif

#ifdef HPUX
#define IRIS 1
#endif

#ifdef MTXINU
#define BSD43 1
#define NO_MALLOC_H 1
#endif

#ifdef UVAX43
#define BSD43 1
#define NO_MALLOC_H 1
#endif

#ifdef DYNIX
#define BSD43 1
#define NO_STDLIB_H 1
#endif

#ifdef AZTE_ZIGGY
#define MONITORHOST "ziggy.econ.arizona.edu"
#elif AZTE_THOR
#define MONITORHOST "thor.econ.wisc.edu"
#elif AZTE_SFI
#define MONITORHOST "sfi.santafe.edu"
#else
#define MONITORHOST "ziggy.econ.arizona.edu"
#endif

#ifdef AZTE_SFI
#define PORT 15479
#else
#define PORT 15478
#endif

/* Do not change anything below this line */
#define MAXDISPLAY	14
